Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.io
Class BufferDateCache

    java.lang.Object
      org.eclipse.jetty.util.DateCache
          org.eclipse.jetty.io.BufferDateCache

    public class BufferDateCache

extends DateCache

Field Summary

Fields inherited from class org.eclipse.jetty.util.DateCache
`DEFAULT_FORMAT`

Constructor Summary
`BufferDateCache()`
`BufferDateCache(java.lang.String format)`
`BufferDateCache(java.lang.String format, java.text.DateFormatSymbols s)`
`BufferDateCache(java.lang.String format, java.util.Locale l)`

Method Summary
`Buffer` | `formatBuffer(long date)`

Methods inherited from class org.eclipse.jetty.util.DateCache
`format, format, format, getFormat, getFormatString, getTimeZone, lastMs, now, setTimeZone, setTimeZoneID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferDateCache

    public BufferDateCache()

### BufferDateCache

    public BufferDateCache(java.lang.String format,
                           java.text.DateFormatSymbols s)

### BufferDateCache

    public BufferDateCache(java.lang.String format,
                           java.util.Locale l)

### BufferDateCache

    public BufferDateCache(java.lang.String format)

Method Detail

### formatBuffer

    public Buffer formatBuffer(long date)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.